/*
 * (c) Copyright 2006-2009 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License.
 *
 * For redistributing this software or a derivative work under a license other
 * than the GPL-compatible Free Software License as defined by the Free
 * Software Foundation or approved by OSI, you must first obtain a commercial
 * license to this software product from Volker Bergmann.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.platform.db.model;

/**
 * Represents a foreign key column in a database table.<br/><br/>
 * Created: 14.01.2007 00:15:52
 * @author Volker Bergmann
 */
public class DBForeignKeyColumn {

    private DBColumn foreignKeyColumn;
    private DBColumn targetColumn;

    public DBForeignKeyColumn(DBColumn foreignKeyColumn, DBColumn targetColumn) {
        this.foreignKeyColumn = foreignKeyColumn;
        this.targetColumn = targetColumn;
    }

    public DBColumn getForeignKeyColumn() {
        return foreignKeyColumn;
    }

    public void setForeignKeyColumn(DBColumn foreignKeyColumn) {
        this.foreignKeyColumn = foreignKeyColumn;
    }

    public DBColumn getTargetColumn() {
        return targetColumn;
    }

    public void setTargetColumn(DBColumn targetColumn) {
        this.targetColumn = targetColumn;
    }
}
